# -*- coding: UTF-8 -*-
###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# exceptions spécifiques
#
###########################################################################
"""
exceptions particulières
"""

class FileNotFoundError(Exception):
    pass
    

class UnknownProfile(Exception):
    """Exception levée quand on rencontre un acteur (rôle ou user) incconu"""
    def __init__(self, profile):
        Exception.__init__(self)
        self.profile = profile

    def __str__(self):
        return "No such actor: %r" % self.actor

class UnknownThumb(Exception):
    """Exception levée quand on rencontre un onglet incconu"""
    def __init__(self, thumbs):
        Exception.__init__(self)
        self.thumbs = thumbs
        
    def __str__(self):
        return "No such thumbs: %r" % self.thumbs

