# -*- coding: utf-8 -*-
from os.path import join
from nevow.rend import Page
from nevow import loaders, tags as T
from interface.interface.config import HTML_DIR

class Message(Page):
    docFactory = loaders.xmlfile(join(HTML_DIR, 'message.xml'))
    close_btn_code = "setContent('nomdelabalisequicontientlemessage', '')";

    def data_message(self, ctx, data):
        return self.message

    def render_message(self, ctx, datas):
        if type(datas) == dict:
            ret_tags = T.div(_class="message%s_box" % datas.get('alert', ''))
            for msg in datas['message']:
                tag = ""
                if type(msg) == dict:
                    if msg.get('tab', 0):
                        tag = T.dl()[T.dd(_class="message_%s" % msg.get('font', ''))[msg['libelle']]]
                        for i in  range(msg.get('tab', 0)-1):
                            tag = T.dl()[T.dd()[tag]]
                        ret_tags.children.append(tag)
                    else:
                        ret_tags.children.append(T.span(_class="message_%s" % msg.get('font', ''))[msg['libelle']])
                        ret_tags.children.append(T.br())
                elif type(msg) == str:
                    ret_tags.children.append(msg)
                else:
                    raise Exception, "Erreur de type dans Message - data_message"
        else:
            ret_tags = T.div(_class="message_box")[datas]
        return T.div(_class="message_box_container")[
                        T.div(_class="message_box_inner")[
                            T.div(_class="message_box_header")[
                                self.make_close_btn()
                            ],
                            ret_tags
                            ]]

    def make_close_btn(self):
        return T.a(href="javascript:%s" % self.close_btn_code)["Fermer", T.img(src="/image/close.gif")]
