// Fonctions générales de notre librairie ajax
//--------------------------------------------
function setClass(obj_id,new_class)
{
        var _obj=$(obj_id);
        if (_obj) _obj.className=new_class;
}
function show(obj_id, disp) // disp parmi true, false, block, inline, none
{
        if ( typeof(disp) == 'undefined' ){
            disp='block';
        }else{
            if (disp==false){
                disp = none;
            }
        }
        var _obj = $(obj_id);
        if (obj) obj.style.display=disp;
}
function setContent(_id, _string, _pos) // _id:balise, _string:le contenu, _pos: position parmi '', 'top', 'bottom'
{
        var _obj=$(_id);
        if (typeof(_pos) == 'undefined'){
            _s=_string;
        }else{
            if (_pos=="bottom") _s = _obj.innerHTML + _string;
            if (_pos=="top") _s = _string + _obj.innerHTML;
        }
        if (_obj) _obj.innerHTML=_s;
}
// REQUETE xmlhttp
function newXHR()
{
        try
        {
                return new ActiveXObject("Msxml2.XMLHTTP");
        }
        catch (e)
        {}
        try
        {
                return new ActiveXObject("Microsoft.XMLHTTP");
        }
        catch (e)
        {}
        try
        {
                return new XMLHttpRequest();
        }
        catch(e)
        {}
        p_alert.show(lg("msgXMLnav"));
        return null;
}
function callUrl(url, sendList, balise){
    if (typeof(sendList)=='undefined'){
            sendList=new Array();
    }
    if (typeof(balise)=='undefined'){
        balise='content_container';
    }
    var req = newXHR();
    req.onreadystatechange = function(){
            if(req.readyState == 4){
		        if(req.status == 200)
                    {
            			texte = req.responseText;
            			// recuperation de la balise de reception de la requete
            			var container = $(balise);
                        handleResponse(texte, container);
                    }
                    }
        }

    req.open("POST", url, true);
    req.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    req.setRequestHeader("X-Requested-With", "XMLHttpRequest");

    var _send = getRequestParams(sendList);
    req.send(_send);
}
function handleResponse(texte, container){
    var script = parseRequest(texte);
    if (container==null){
                         container = $('content_container');
                         texte="Il y a une erreur dans l'arborescence html";
    }
    if (script != null) container.innerHTML =  texte;
    if (script != ''){
                     eval(script);
                     }

}
function parseRequest(requestTxt){
	// parse l'existence de mot cle dans la requête
	// :refresh: rafraichit la page (F5)
	// :redirect: change l'url de la page en cour redirect=<MonUrl>
	// :script javascript à effectuer à la réception de la réponse
	if (requestTxt.substr(0, 7) == 'refresh') {
			window.location.reload();
			return null;
	}else{
		 // si le retour commence par redirect, on redirige
			if (requestTxt.substr(0, 8) == 'redirect'){
				window.location.href = requestTxt.substring(9, requestTxt.length );
				return null;
			}
	}
	if (requestTxt.indexOf('<script>')!=-1 ){
		debut = requestTxt.indexOf('<script>') + 8;
		fin = requestTxt.indexOf('</script>');
		script = requestTxt.substring(debut, fin);
		return script;
	}
	else return '';

}
function getRequestParams(sendList){
	// renvoie une liste de parametres pour lancer une requete
	// sous forme de string
	var _send = null;
	for (i=0; i<sendList.length; i++){
		_send += '&' + sendList[i][0] + '=' + sendList[i][1];
	}
	return _send;
}
function Refresh(widgetId, sendList, url){
    widget = $(widgetId);
    if (!widget)return;
    if (typeof(url) == "undefined"){
        if (typeof(sendList) == "undefined"){
            sendList = [];
        }
        url = widget.getAttributeNode('myurl').value;
    }
    callUrl(url, sendList, widgetId);
}
function fenetre(url, nom){
    window.open(url,nom, 'resizable=yes,width=600,height=500,left=50,screenY=150,location=no,menubar=no,toolbar=no,scrollbars=yes')
}
//function transfer(select1_id, select2_id){
//    select1 = $(select1_id);
//    select2 = $(select2_id);
//    if (select1.selectedIndex != -1){
//        for (i=0; i<select1.options.length; i++){
//            if (select1.options[i].selected){
//                value = select1.options[i].value;
//        libelle = select1.options[i].innerHTML;
//                select1.options[i].parentNode.removeChild(select1.options[i]);
//        select2.innerHTML += "<option value='" + value + "'>" + libelle + "</option>";
//        i=i-1;
//    }}}
//}
function autoselect(form, sens){
            if (sens != false){
                sens = true;
            }
            for (j=0; j<form.elements.length; j++){
                                element = form.elements[j];
                                if (element.options){
                                for (i=0; i<element.options.length; i++){
                                        element.options[i].selected=sens;
                                        }
                                }
            }
            return false;
}

/////////////////////////////////////////////////
// Transfert une ligne de la liste Origine à la liste Destination
function transfer(select1_id, select2_id)
{   var select1 = $(select1_id);
    var select2 = $(select2_id);
    if (!(select1.options.selectedIndex<0)){
    for (i=0; i<select1.options.length; i++){
        if (select1.options[i].selected){
            opt = select1.options[i];
            var ADeplacer = new Option(opt.text, opt.value);
            select2.options[select2.length]=ADeplacer;
            select1.options[i]=null;
            i = i-1;
        }
    }}
}
/////function select_row(row){
/////    if (row.getAttribute('selected')){
/////        row.style.backgroundColor = null;
/////        row.setAttribute('selected', null);
/////    }else{
/////        row.setAttribute('selected', 'true');
/////        row.style.backgroundColor = "#eee";
/////    }
/////}
/////// Transfert une ligne d'un tableau d'un tableau à un autre
/////function transferLinkForm(table1_id, table2_id){
/////    var table1 = $(table1_id);
/////    var table2 = $(table2_id);
/////    for (i = 0; i<table1.rows.length; i++){
/////        row = table1.rows[i];
/////        if (row.getAttribute('selected')=='true'){
/////            row_inserted = table2.insertRow(0);
/////            x = row_inserted.insertCell(0);
/////            x.innerHTML = row.cells[0].innerHTML;
/////            x = row_inserted.insertCell(1);
/////            x.innerHTML = row.cells[1].innerHTML;
/////            window.alert(i);
/////            table1.deleteRow(i);
/////            i = i-1;
/////        }
/////    }
/////
/////}
//
//// Vérifie la présence de Valeur dans IdListe
//function VerifValeurDansListe(IdListe, Valeur, blnAlerte) {
//    var objListe = document.getElementById(IdListe);
//    for (i=objListe.length-1;i>=0;i--) if (objListe.options[i].value == Valeur) {if (blnAlerte) alert('Déjà présent.'); return true;}
//    return false;
//}
//</script>
//
//
//


