#-*-coding:utf-8-*-
# lancement du serveur xmlrpc posh pour la gestion des profils
# et de l'interface d'administration des profils
#
import sys
from twisted.application import service, internet
from twisted.web import server
from twisted.python import log
from twisted.internet import reactor

from nevow import appserver
from nevow.i18n import I18NConfig
from nevow import inevow

from posh.config.config import XMLRPC_PORT, LOCATION

log.msg("Appending app_path : %s" % LOCATION)
sys.path.append(LOCATION)
from server.server import UserContextServer

application = service.Application("xmlrpc_posh_profile")
#servicecollection = service.IServiceCollection(application)

#####    Gestion des profiles
#
#application = service.Application("eole_posh_profile")
site = server.Site(UserContextServer())
myservice = internet.TCPServer(XMLRPC_PORT, site)
myservice.setServiceParent(application)
